test-cloud
latest
false
Test Cloud API ガイド
- 基本情報
- 認証
- 範囲と権限
- プラットフォーム管理 API
重要 :
このコンテンツの一部は機械翻訳によって処理されており、完全な翻訳を保証するものではありません。
新しいコンテンツの翻訳は、およそ 1 ~ 2 週間で公開されます。
組織レベルのライセンスの概要を取得するための GET エンドポイント。ロボット、ユーザー ライセンス、消費型の合計、割り当て、使用状況について説明しています。
組織のライセンスの概要を取得します。ライセンス済みのロボットと割り当て済みのロボット、ライセンス済みのユーザー ライセンスと使用済みのユーザー ライセンス、およびライセンス済みの消費型、割り当て済みの消費型、および使用済みの消費型が含まれます。PM.License.Read のスコープを持つ外部アプリケーションが必要です。
外部アプリケーションの作成方法については、こちらをご覧ください。
API エンドポイント
GET {accessURL}/{organizationName}/license_/api/account/{accountId}/license-summary
すべてのエンドポイント パスの {accessURL} は、ご使用のクラウド プラットフォームのベース URL に置き換えてください。
| Cloud Platform | アクセス URL |
|---|---|
| Automation Cloud | https://cloud.uipath.com/ |
| Automation Cloud (公共部門向け) | https://govcloud.uipath.us/ |
| Automation Cloud (専有型) | https://{customURL}.dedicated.uipath.com/ |
要求ヘッダー
--header 'Authorization: Bearer {access_token}'
--header 'Authorization: Bearer {access_token}'
注:
{access_token} を取得するには、必ず、「認証方法」のページで説明するリソース所有者のパスワード資格情報 (ROPC) の方法で認証を行ってください。
パス パラメーター
| パス パラメーター | データ型 | 説明 |
|---|---|---|
accountId (必須) | GUID | ライセンスの概要を取得する対象の組織の ID です。 |
応答
200 OK
組織のライセンスの概要を、次の 3 つの配列に分割して返します。
robots— ロボットの種類ごとの、ライセンス済みの合計数 (total) と、割り当て済みの合計数 (allocated) です。利用可能なコードについては、「ロボット」をご覧ください。userLicenses— ユーザー ライセンスごとの、ライセンス済みの合計数 (total) と、使用済みの合計数 (used) です。利用可能なコードについては、「ユーザー ライセンス」をご覧ください。consumables— 消費型ユニットごとの、ライセンス済みの合計数 (total)、割り当て済みの合計数 (allocated)、使用済みの合計数 (used)、有効期間 (startDate、endDate) (秒単位の UNIX タイムスタンプ) です。利用可能なコードについては、「消費型」をご覧ください。
404
指定した組織にアカウント ライセンスは割り当てられません。
要求の例
要求は次の例のようになります (cURL)。
curl --location --request GET 'https://cloud.uipath.com/{organizationName}/license_/api/account/1234/license-summary' \
--header 'Authorization: Bearer {access_token}'
curl --location --request GET 'https://cloud.uipath.com/{organizationName}/license_/api/account/1234/license-summary' \
--header 'Authorization: Bearer {access_token}'
ライセンスの概要の取得に成功した場合の応答本文は次のとおりです。
{
"robots": [
{
"code": "APPTESTR",
"total": 5,
"allocated": 2
},
{
"code": "NONPR",
"total": 0,
"allocated": 0
},
{
"code": "TAUNATT",
"total": 5,
"allocated": 2
},
{
"code": "UNATT",
"total": 5,
"allocated": 2
},
{
"code": "UNATT-HOSTING",
"total": 0,
"allocated": 0
}
],
"userLicenses": [
{
"code": "PMBU",
"total": 5,
"used": 0
},
{
"code": "PMD",
"total": 10,
"used": 3
},
{
"code": "IDU",
"total": 55,
"used": 1
},
{
"code": "TSTNU",
"total": 5,
"used": 2
},
{
"code": "AXPNU",
"total": 100,
"used": 10
},
{
"code": "ACNU",
"total": 2,
"used": 0
},
{
"code": "RPADEVPROCU",
"total": 15,
"used": 0
},
{
"code": "RPADEVPRONU",
"total": 15000,
"used": 10
},
{
"code": "CBNU",
"total": 5,
"used": 0
},
{
"code": "ATTUNU",
"total": 5,
"used": 1
},
{
"code": "PRONU",
"total": 200,
"used": 12
},
{
"code": "CTZDEVNU",
"total": 5,
"used": 0
},
{
"code": "BASICNU",
"total": 10,
"used": 7
},
{
"code": "AKIT",
"total": 100,
"used": 0
},
{
"code": "PLUSNU",
"total": 2,
"used": 5
}
],
"consumables": [
{
"code": "AGU",
"total": 995658,
"allocated": 130,
"used": 1,
"startDate": 1707177600,
"endDate": 2230847999
},
{
"code": "APPU",
"total": 0,
"allocated": 0,
"used": 0,
"startDate": null,
"endDate": null
},
{
"code": "FCCU",
"total": 0,
"allocated": 0,
"used": 0,
"startDate": null,
"endDate": null
},
{
"code": "HEAL",
"total": 303330,
"allocated": 1500,
"used": 0,
"startDate": 1762128000,
"endDate": 1920844799
},
{
"code": "HEALTEST",
"total": 0,
"allocated": 0,
"used": 0,
"startDate": null,
"endDate": null
},
{
"code": "LU",
"total": 0,
"allocated": 0,
"used": 0,
"startDate": null,
"endDate": null
},
{
"code": "MRSU",
"total": 0,
"allocated": 0,
"used": 0,
"startDate": null,
"endDate": null
},
{
"code": "PLTU",
"total": 0,
"allocated": 0,
"used": 0,
"startDate": null,
"endDate": null
},
{
"code": "RU",
"total": 0,
"allocated": 0,
"used": 0,
"startDate": null,
"endDate": null
},
{
"code": "SPR",
"total": 0,
"allocated": 0,
"used": 0,
"startDate": null,
"endDate": null
},
{
"code": "TEU",
"total": 0,
"allocated": 0,
"used": 0,
"startDate": null,
"endDate": null
}
]
}
{
"robots": [
{
"code": "APPTESTR",
"total": 5,
"allocated": 2
},
{
"code": "NONPR",
"total": 0,
"allocated": 0
},
{
"code": "TAUNATT",
"total": 5,
"allocated": 2
},
{
"code": "UNATT",
"total": 5,
"allocated": 2
},
{
"code": "UNATT-HOSTING",
"total": 0,
"allocated": 0
}
],
"userLicenses": [
{
"code": "PMBU",
"total": 5,
"used": 0
},
{
"code": "PMD",
"total": 10,
"used": 3
},
{
"code": "IDU",
"total": 55,
"used": 1
},
{
"code": "TSTNU",
"total": 5,
"used": 2
},
{
"code": "AXPNU",
"total": 100,
"used": 10
},
{
"code": "ACNU",
"total": 2,
"used": 0
},
{
"code": "RPADEVPROCU",
"total": 15,
"used": 0
},
{
"code": "RPADEVPRONU",
"total": 15000,
"used": 10
},
{
"code": "CBNU",
"total": 5,
"used": 0
},
{
"code": "ATTUNU",
"total": 5,
"used": 1
},
{
"code": "PRONU",
"total": 200,
"used": 12
},
{
"code": "CTZDEVNU",
"total": 5,
"used": 0
},
{
"code": "BASICNU",
"total": 10,
"used": 7
},
{
"code": "AKIT",
"total": 100,
"used": 0
},
{
"code": "PLUSNU",
"total": 2,
"used": 5
}
],
"consumables": [
{
"code": "AGU",
"total": 995658,
"allocated": 130,
"used": 1,
"startDate": 1707177600,
"endDate": 2230847999
},
{
"code": "APPU",
"total": 0,
"allocated": 0,
"used": 0,
"startDate": null,
"endDate": null
},
{
"code": "FCCU",
"total": 0,
"allocated": 0,
"used": 0,
"startDate": null,
"endDate": null
},
{
"code": "HEAL",
"total": 303330,
"allocated": 1500,
"used": 0,
"startDate": 1762128000,
"endDate": 1920844799
},
{
"code": "HEALTEST",
"total": 0,
"allocated": 0,
"used": 0,
"startDate": null,
"endDate": null
},
{
"code": "LU",
"total": 0,
"allocated": 0,
"used": 0,
"startDate": null,
"endDate": null
},
{
"code": "MRSU",
"total": 0,
"allocated": 0,
"used": 0,
"startDate": null,
"endDate": null
},
{
"code": "PLTU",
"total": 0,
"allocated": 0,
"used": 0,
"startDate": null,
"endDate": null
},
{
"code": "RU",
"total": 0,
"allocated": 0,
"used": 0,
"startDate": null,
"endDate": null
},
{
"code": "SPR",
"total": 0,
"allocated": 0,
"used": 0,
"startDate": null,
"endDate": null
},
{
"code": "TEU",
"total": 0,
"allocated": 0,
"used": 0,
"startDate": null,
"endDate": null
}
]
}